print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceplasticpipe = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local plasticpipeHudFile = "Paletten/hud_fill_plasticpipe.dds"
	local plasticpipeHudFileSmall = "Paletten/hud_fill_plasticpipe_small.dds"
	
    local plasticpipeFilType = g_fillTypeManager:addFillType("PLASTICPIPE", g_i18n:getText("plasticpipe"), true, priceplasticpipe * 1.1, 0.00045, math.rad(10), plasticpipeHudFile, plasticpipeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasplasticpipe=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasplasticpipe=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PLASTICPIPE" then
		hasplasticpipe=true
	end;
		
end;

		if hasmaize and not hasplasticpipe then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PLASTICPIPE")
		local price = g_fillTypeManager:getFillTypeByName("PLASTICPIPE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PLASTICPIPE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)