print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricepvcpipe = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local pvcpipeHudFile = "Paletten/hud_fill_pvcpipe.dds"
	local pvcpipeHudFileSmall = "Paletten/hud_fill_pvcpipe_small.dds"
	
    local pvcpipeFilType = g_fillTypeManager:addFillType("PVCPIPE", g_i18n:getText("pvcpipe"), true, pricepvcpipe * 1.0, 0.00045, math.rad(10), pvcpipeHudFile, pvcpipeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspvcpipe=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspvcpipe=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PVCPIPE" then
		haspvcpipe=true
	end;
		
end;

		if hasmaize and not haspvcpipe then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PVCPIPE")
		local price = g_fillTypeManager:getFillTypeByName("PVCPIPE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PVCPIPE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)